# Replaces the existing transaction units of a specific bookkeeping rule for the given client. The rule is identified by its unique rule ID. All current units will be removed and replaced with the units provided in the request body. Endpoint: PUT /api/v1/clients/{clientId}/bookkeeping/transaction-rules/{ruleId}/units Version: 1 Security: , , , ## Path parameters: - `clientId` (string, required) - `ruleId` (string, required) ## Request fields (application/json): - `unitOptionValueId` (string, required) Gets or sets the option value associated with the unit. - `unitValueId` (string, required) Gets or sets the unit value associated with the unit. ## Response 200 fields (application/json): - `links` (object) - `clientId` (string) - `ruleId` (string) ## Response 403 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer,null) - `detail` (string,null) - `instance` (string,null) ## Response 404 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer,null) - `detail` (string,null) - `instance` (string,null)